<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
        <p-panel>
            <p-header>
                Upload Nomor Rangka
            </p-header>
    
            <div class="modal-body">
                <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
                    <i class="fa fa-upload" aria-hidden="true"></i><span class="label-uploaded" >Upload .xlsx</span>           
                    <input type="file" (change)="onFileChange($event)" multiple="false" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" hidden/>
                </label>
                <!-- <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
                    <i class="fa fa-upload" aria-hidden="true"></i><span class="label-uploaded">Upload .usml</span>
                    <input type="file" (change)="onTxtFileChange($event)" accept=".umsl" multiple="false" hidden/>
                </label> -->
                <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
                    <i class="fa fa-upload" aria-hidden="true"></i><span class="label-uploaded">Upload .txt</span>
                    <input type="file" (change)="onTxtFileChange($event)" accept=".txt" multiple="false" hidden/>
                </label>
            <p-dataTable [value]="itemUpload">
                <p-header>
                    <div class="row"></div>
                </p-header>
                <p-column header="{{'mpmApp.suspectPerson.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Id Frame">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.IdFrame}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="Facility">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.FacilityName}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="Container">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.ContainerName}}
                        </div>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
            </div>
        
            <p-footer>
                <button pButton type="button" (click)="previousState()"
                    label="{{'entity.action.cancel' | translate}}" 
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                    label="{{'entity.action.save' | translate}}" 
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </p-footer>
        </p-panel>
    
        <p-dialog [(visible)]="invalidFormat" closable="true" [responsive]="true" width="720" modal="true">
            <p-header>
                Notifikasi
            </p-header>
        
            <div class="row">
                <div class="col-md-12"> File yang anda upload tidak sesuai format yang ditentukan</div>
            </div>
        
            <p-footer></p-footer>
        </p-dialog>
    
        <p-dialog class="hidden-label-dialog" [(visible)]="isCompleted" [responsive]="true" width="420" modal="true">
            <div class="row">
                <div class="ui-lg-12">
                    <label> {{ successSave }} Data Berhasil di Upload, {{ errorSave }} gagal di Upload</label>
                </div>
                <div class="ui-lg-12">   
                    <button pButton type="button" label="Kembali ke Result"
                    (click)="previousState()" icon="fa-ban" class="ui-button-danger pull-right"></button>   
                </div>
            </div>
        </p-dialog>
                
    </form>
    
    